Bug 243262 - (CVE-2007-2525) CVE-2007-2525 PPPoE socket PPPIOCGCHAN denial of service
CVE-2007-2525 PPPoE socket PPPIOCGCHAN denial of service
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity high
: ---
: ---
Assigned To: Jason Baron
Martin Jenner
impact=important,source=secunia,repor...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-08 06:20 EDT by Marcel Holtmann
Modified: 2016-05-19 11:48 EDT (History)
4 users (show)

See Also:
Fixed In Version: RHSA-2007-0488
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-25 14:05:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Marcel Holtmann 2007-06-08 06:20:19 EDT
A vulnerability has been reported in the Linux Kernel, which potentially can be
exploited by malicious, local users to cause a DoS (Denial of Service).

The vulnerability is caused due to a memory leak when releasing PPPoE sockets
after they are connected, but before the "PPPIOCGCHAN" ioctl is called. This can
be exploited to cause a DoS due to memory exhaustion.
Comment 1 Jason Baron 2007-06-12 11:49:45 EDT
 committed in stream rhel‑4.5.z build 55.0.1
Comment 3 Joshua Giles 2007-06-21 18:23:16 EDT
Jason, 

Reproducer please?
Comment 5 Red Hat Bugzilla 2007-06-25 14:05:52 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0488.html

Note You need to log in before you can comment on or make changes to this bug.